Package: org.codehaus.groovy.macro.runtime

## [Java] Enum MacroBuilder

- org.codehaus.groovy.macro.runtime.MacroBuilder

-     @Incubating
      public enum MacroBuilder
      extends Enum

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ASTNode` | `getMacroValue(BlockStatement closureBlock, boolean asIs)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `<T>` | `public T` | `macro(String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `<T>` | `public T` | `macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `<T>` | `public T` | `macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `<T>` | `public T` | `macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `` | `public Expression` | `transform(Expression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public MacroBuilder INSTANCE

  - ### Method Detail

    - #### public static ASTNode getMacroValue(BlockStatement closureBlock, boolean asIs)

    - #### @Override protected SourceUnit getSourceUnit()

    - #### <T> public T macro(String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### <T> public T macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### <T> public T macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### <T> @SuppressWarnings("unchecked") public T macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### @Override public Expression transform(Expression expression)